package PBS::rpp;
require Exporter;
require DynaLoader;
use PBS qw/:rpp/;
@ISA = qw(Exporter DynaLoader PBS);

@EXPORT = qw( );

%EXPORT_TAGS = (
    all     => [qw[rpp_open rpp_bind rpp_poll rpp_io rpp_read rpp_write
               rpp_close rpp_getaddr rpp_flush rpp_shutdown rpp_terminate
               rpp_rcommit rpp_wcommit rpp_skip rpp_eom rpp_getc rpp_putc
               netaddr crc rpp_fd rpp_dbprt rpp_retry]],

);

@EXPORT_OK=@{$EXPORT_TAGS{all}};

1;

__END__

=head1 NAME

PBS::rpp - Perl extension for PBS's RPP protocol

=head1 SYNOPSIS

  use PBS::rpp;

=head1 ABSTRACT

Perl wrapper extension for PBS's RPP protocol (as from OpenPBS or Torque).

=head1 DESCRIPTION

Perl wrapper extension for PBS's RPP protocol.  The API is exactly the same
as the original C API.  

RPP is the network protocol used by PBS for inter-mom communication.  The
author of perl-PBS doesn't know anything about the protocol, how to use it, or
how to test it.  This module was generated automatically by B<swig> and can
load without erroring.  Caveat Emptor.

Please send bug and success reports!

The PBS::rm module uses routines exported by this module.

=head2 EXPORT

None by default.

Exportable tags include: rpp_open rpp_bind rpp_poll rpp_io rpp_read
               rpp_write rpp_close rpp_getaddr rpp_flush rpp_shutdown
               rpp_terminate rpp_rcommit rpp_wcommit rpp_skip rpp_eom
               rpp_getc rpp_putc netaddr crc rpp_fd rpp_dbprt rpp_retry

=head1 SEE ALSO

The PBS ERS.

=head1 AUTHOR

Garrick Staples, E<lt>garrick@usc.eduE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright 2004 by Garrick Staples

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself. 

=cut
